Package org.eclipse.emf.cdo.lm.reviews.util

# Class ReviewsAdapterFactory

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
org.eclipse.emf.cdo.lm.reviews.util.ReviewsAdapterFactory

All Implemented Interfaces:
  `AdapterFactory`

Direct Known Subclasses:
  `ReviewsItemProviderAdapterFactory`

public class ReviewsAdapterFactory extends AdapterFactoryImpl
The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  - `ReviewsPackage`
Generated

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static ReviewsPackage`
`modelPackage`
The cached model package.
`protected ReviewsSwitch<Adapter>`
`modelSwitch`
The switch that delegates to the `createXXX` methods.

## Constructor Summary

Constructors
Constructor
Description
`ReviewsAdapterFactory()`
Creates an instance of the adapter factory.

## Method Summary

Modifier and Type
Method
Description
`Adapter`
`createAdapter(Notifier target)`
Creates an adapter for the `target`.
`Adapter`
`createBaselineAdapter()`
Creates a new adapter for an object of class '`Baseline`'.
`Adapter`
`createCommentableAdapter()`
Creates a new adapter for an object of class '`Commentable`'.
`Adapter`
`createCommentAdapter()`
Creates a new adapter for an object of class '`Comment`'.
`Adapter`
`createDeliveryReviewAdapter()`
Creates a new adapter for an object of class '`Delivery Review`'.
`Adapter`
`createDropReviewAdapter()`
Creates a new adapter for an object of class '`Drop Review`'.
`Adapter`
`createEObjectAdapter()`
Creates a new adapter for the default case.
`Adapter`
`createFixedBaselineAdapter()`
Creates a new adapter for an object of class '`Fixed Baseline`'.
`Adapter`
`createFloatingBaselineAdapter()`
Creates a new adapter for an object of class '`Floating Baseline`'.
`Adapter`
`createHeadingAdapter()`
Creates a new adapter for an object of class '`Heading`'.
`Adapter`
`createModelElementAdapter()`
Creates a new adapter for an object of class '`Model Element`'.
`Adapter`
`createModuleElementAdapter()`
Creates a new adapter for an object of class '`Module Element`'.
`Adapter`
`createReviewAdapter()`
Creates a new adapter for an object of class '`Review`'.
`Adapter`
`createReviewTemplateAdapter()`
Creates a new adapter for an object of class '`Review Template`'.
`Adapter`
`createStreamElementAdapter()`
Creates a new adapter for an object of class '`Stream Element`'.
`Adapter`
`createSystemElementAdapter()`
Creates a new adapter for an object of class '`System Element`'.
`boolean`
`isFactoryForType(Object object)`
Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelPackage

protected static ReviewsPackage modelPackage
The cached model package.

Generated

### modelSwitch

protected ReviewsSwitch<Adapter> modelSwitch
The switch that delegates to the `createXXX` methods.

Generated

## Constructor Details

### ReviewsAdapterFactory

public ReviewsAdapterFactory()
Creates an instance of the adapter factory.

Generated

## Method Details

### isFactoryForType

public boolean isFactoryForType(Object object)
Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `AdapterFactory`
Overrides:
  `isFactoryForType` in class `AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.
Generated

### createAdapter

public Adapter createAdapter(Notifier target)
Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.
Generated

### createCommentableAdapter

public Adapter createCommentableAdapter()
Creates a new adapter for an object of class '`Commentable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Commentable`
Generated

### createCommentAdapter

public Adapter createCommentAdapter()
Creates a new adapter for an object of class '`Comment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Comment`
Generated

### createHeadingAdapter

public Adapter createHeadingAdapter()
Creates a new adapter for an object of class '`Heading`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Heading`
Generated

### createReviewTemplateAdapter

public Adapter createReviewTemplateAdapter()
Creates a new adapter for an object of class '`Review Template`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ReviewTemplate`
Generated

### createReviewAdapter

public Adapter createReviewAdapter()
Creates a new adapter for an object of class '`Review`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Review`
Generated

### createDeliveryReviewAdapter

public Adapter createDeliveryReviewAdapter()
Creates a new adapter for an object of class '`Delivery Review`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `DeliveryReview`
Generated

### createDropReviewAdapter

public Adapter createDropReviewAdapter()
Creates a new adapter for an object of class '`Drop Review`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `DropReview`
Generated

### createModelElementAdapter

public Adapter createModelElementAdapter()
Creates a new adapter for an object of class '`Model Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ModelElement`
Generated

### createSystemElementAdapter

public Adapter createSystemElementAdapter()
Creates a new adapter for an object of class '`System Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `SystemElement`
Generated

### createModuleElementAdapter

public Adapter createModuleElementAdapter()
Creates a new adapter for an object of class '`Module Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `ModuleElement`
Generated

### createStreamElementAdapter

public Adapter createStreamElementAdapter()
Creates a new adapter for an object of class '`Stream Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `StreamElement`
Generated

### createBaselineAdapter

public Adapter createBaselineAdapter()
Creates a new adapter for an object of class '`Baseline`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Baseline`
Generated

### createFloatingBaselineAdapter

public Adapter createFloatingBaselineAdapter()
Creates a new adapter for an object of class '`Floating Baseline`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `FloatingBaseline`
Generated

### createFixedBaselineAdapter

public Adapter createFixedBaselineAdapter()
Creates a new adapter for an object of class '`Fixed Baseline`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `FixedBaseline`
Generated

### createEObjectAdapter

public Adapter createEObjectAdapter()
Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.
Generated